Subject: grow: Last Call: 'Operation of Anycast Services' to BCP (draft-ietf-grow-anycast)

From: The IESG <[email-masked]>
Date: Fri, 02 Jun 2006 00:16:07 -0400

The IESG has received a request from the Global Routing Operations WG to 
consider the following document:

- 'Operation of Anycast Services '
   <draft-ietf-grow-anycast-03.txt> as a BCP

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2006-06-16.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-grow-anycast-03.txt

_________________________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/grow.html
web archive:        http://darkwing.uoregon.edu/~llynch/grow/

---

From: "Lucy E. Lynch" <[email-masked]>
Date: Fri, 2 Jun 2006 13:52:06 -0700 (PDT)

On Fri, 2 Jun 2006, Dean Anderson wrote:

> I object to this document on the following grounds:
>
> Objections were made to the DNSOP WG regarding at least 6 problems with the
> document that were not addressed:
>
> http://darkwing.uoregon.edu/~llynch/grow/msg00426.html

complete thread here:
http://darkwing.uoregon.edu/~llynch/grow/threads.html#00427

> http://darkwing.uoregon.edu/~llynch/grow/msg00462.html
complete thread here:
http://darkwing.uoregon.edu/~llynch/grow/threads.html#00427

> As a result, my views have not been adequately presented or considered.
>
> An appeal is therefore registered under Section 6.5.1 and 6.5.2 of RFC 2026.
>
> Dean Anderson
> Av8 Internet, Inc

times and dates for Dean's posting to DNSOP can be found here:
http://darkwing.uoregon.edu/~llynch/grow/byauthor.html

- lel

---

From: "Lucy E. Lynch" <[email-masked]>
Date: Fri, 2 Jun 2006 13:53:25 -0700 (PDT)

> times and dates for Dean's posting to DNSOP can be found here:
    sorry ...                           ^GROW

    I own to many lists. sigh.

-- 
Lucy E. Lynch 				Academic User Services
Computing Center			University of Oregon
llynch  @darkwing.uoregon.edu		(541) 346-1774
_________________________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/grow.html
web archive:        http://darkwing.uoregon.edu/~llynch/grow/

---

From: Dean Anderson <[email-masked]>
Date: Fri, 2 Jun 2006 17:24:00 -0400 (EDT)

Sorry to reply to my own message.

> Objections were made to the DNSOP WG regarding at least 6 problems with the
                              ^^^^^^^^
That should read, the "GROW WG"

> There may be additional problems.
> 
> The notion of a safe stateful anycast operation as asserted by Daniel Karrenberg
> (http://www.nanog.org/mtg-0505/pdf/karrenberg.pdf) has now been discredited.
> Karrenberg's document misled people to believe that stateful anycast was safe,
> when in fact Karrenberg didn't perform any stateful testing whatsoever.
> 
> So, there is no evidence that stateful anycast is safe, and substantial evidence
> that it is not safe:  Mark Kosters reports on data gathered at J root:
> 
> http://www.nanog.org/mtg-0410/pdf/kosters.pdf
> 
>    + Expected to see a saw tooth distribution .
>      instead have a noisy distribution in many cases
>    + Does not affect UDP
>    + DO NOT RUN Anycast with Stateful Transport
> 
> http://www.rssac.org/meetings/04-08/2004WashDC.html
>    Kosters repeats warning on stateful DNS Anycast, but is disputed by
> Karrenberg.  It is later found (January, 2006) that Karrenberg has done no
> stateful testing whatsoever, and did not reveal that his testing was only for
> stateless DNS, and therefore irrelevant to Kosters data.  This discovery was
> only made when Anderson examined the source code to the DNSMON program written
> by Karrenberg to conduct this testing.
> 
> Stateful transport includes large UDP ENDSO packets which are required by
> DNSSEC.
> 
> The draft-ietf-grow-anycast document incorrectly gives the impression that
> stateful anycast is safe.  This is a an incorrect conclusion based on
> discredited research. Therefore this document should not be accepted for
> technical reasons.
> 
> DNS Anycast controversy and inappropriate behavior by officials during
> discussion of this document gives rise to questions on both the integrity of the
> document, and questions as to whether all points of views have been adequately
> considered.
> 
> To summarize the controvery:  During discussion of this document and the subject
> of DNS Anycast and DNS Root Anycast, David Kessens, Area Director for the
> Operations Area which includes DNSOP WG and the GROW WG, attempted to conspire
> with Brian Carpenter, David Crocker, and Susan Harris to improperly silence
> discussion of problems with DNS Anycast [and the same persons also tried to
> improperly silence questions regarding the integrity of an IETF spam document
> authored by Crocker]. Then 4 IESG members acted with conflicts of interest in
> violation of the ISOC and IETF charter and rules to silence discussion of this
> matter. An IAB appeal documents this inappropriate behavior. The IAB has not yet
> ruled on the matter. 
> 
> For example, during this time, Kessens asserted (incorrectly) that DNS Root
> server operations were off-topic for the DNSOP WG, and then inappropriately
> demanded that discussion of DNS Root Anycast on the DNSOP WG be halted.  
> Subsequently, it was proposed that DNSOP WG be re-chartered to remove DNS root
> server operations from its charter.  Somewhat strangely, but consistent with
> other absurd allegations, Kessens et al refused to concede that DNS Root Anycast
> was presently on-topic for DNSOP WG. There are other allegations too numerous to
> fully list here. See http://www.iab.org/appeals/index.html "Appeal Against IESG
> PR-Action from Dean Anderson, 18 April 2006" for more information.
> 
> I have begun to collect a history of DNS Anycast at 
> http://www.av8.net/IETF-watch/DNSRootAnycast/History.html
> 
> 
> 
> 
> 
> On Fri, 2 Jun 2006, The IESG wrote:
> 

-- 
Av8 Internet   Prepared to pay a premium for better service?
www.av8.net         faster, more reliable, better service
617 344 9000

---

From: Dean Anderson <[email-masked]>
Date: Fri, 2 Jun 2006 16:07:47 -0400 (EDT)

Dean Anderson
Av8 Internet, Inc

---

From: David Kessens <[email-masked]>
Date: Sun, 4 Jun 2006 06:59:10 -0700

Dean,

> http://darkwing.uoregon.edu/~llynch/grow/msg00462.html

You write the following at the bottom of message:

(which was a response to the Working Group Last Call message)

---

 Rather, my interest now is to record that there were objections raised
 at the time. I'm willing to acknowledge that these objections were a
 minority view. I appreciate your attention to the accuracy of the
 record.

	--Dean
---

I believe it is entirely reasonable that the chairperson of the grow
working group interpreted this posting as you accepting that rough
consensus was reached despite the fact that you had a different view
than the rest of the working group.

Considering that you already accepted that this document would
progress as quoted in the mail above that was a response to the wg
Last Call, but now bring back this topic yet again, I have to conclude
that you are not interested in contributing to the work of the grow
working group, but rather disrupt it's workings by bringing back
topics that have been dealt with already.

Furthermore, the tone and accusations in your mail are unacceptable in
any kind of IETF discussions and you owe the people mentioned in your
mail to the working group and IESG an apology.

The behavior mentioned in the previous paragraph was exactly the
reason why a PR action against you was instituted. I would like to go
on the record that I will not object if the list maintainers of the
grow wg will exercize their right to remove your posting privileges
from the grow working group list in order to allow the working group
to perform it's work in a climate of mutual respect and understanding.

David Kessens
Area Director Operations & Management
---

> > http://www.ietf.org/internet-drafts/draft-ietf-grow-anycast-03.txt

David Kessens
---

---

From: Dean Anderson <[email-masked]>
Date: Mon, 5 Jun 2006 17:19:18 -0400 (EDT)

Subsequent to my (Anderson's) message of December 2, 2005, it has been
discovered that the research paper submitted by Daniel Karrenberg that supported
the notion of stateful anycast, was scientifically fraudulent, and was not
supported by any testing of stateful anycast: To be perfectly clear,
Karrenberg's DNSMON program did not perform any stateful testing whatsoever,
even though in the paper he disputed stateful anycast problems and data raised
by Verisign and others (including Anderson). This fraud was reported to the IESG
in March, 2006.  Many operators have been falsely and fraudulently assured that
stateful anycast is stable.

So the consensus, if there is one--and its not yet clear there is one--is based
on scientific fraud and deception.  This is a valid basis for a working group
dispute under RFC 2026 as cited in my original message.

As David Kessens is aware of this particular scientific fraud from a report to
the IESG in March, 2006, and that report charges Kessens with participation in
perpetrating the fraud, and as Kessens has participated and collaborated in
several nefarious activities to suppress entirely appropriate discussion of
problems with stateful Anycast, one wonders at Kessens continuing attempt to
suppress the facts of this fraud.

Reporting scientific fraud is not inappropriate.  The "tone" of my message is
insignificant to the content. It hardly possible give a pleasant tone to report
of scientific fraud. Further, my tone is neutral. Mr. Kessens trivial complaint
serves only as a distraction and diversion from the content.

What is inappropriate is Mr. Kessens continued and unethical attempt to use his
authority in flagrant conflict of interest to continue to suppress these facts
for his own benefit. It is inappropriate for Mr. Kessens and the other named
persons to perpetrate and further a scientific fraud.

Dean Anderson
Av8 Internet, Inc